Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.indices.get_bar(identifier="SPX.IND_CBOM", end_time="12/22/2025 10:30 am", identifier_type=models.IndicesIdentifierType.SYMBOL, precision=models.BarPrecision.MINUTES, period=1)
assert res.index_bar_response is not None
# Handle response
print(res.index_bar_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.indices.getBar({
identifier: "SPX.IND_CBOM",
endTime: "12/22/2025 10:30 am",
precision: "Minutes",
period: 1,
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/indices/bar \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/indices/bar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/indices/bar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/indices/bar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/indices/bar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/indices/bar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bar": {
"close": 6866.33,
"endDate": "12/22/2025",
"endTime": "10:30 AM",
"high": 6866.74,
"low": 6865.69,
"open": 6866.15,
"startDate": "12/22/2025",
"startTime": "10:29 AM",
"utcOffset": -5,
"volume": 0
},
"index": {
"currency": "USD",
"indexGroup": "IND_CBOM",
"indexName": "S&P 500",
"symbol": "SPX",
"valoren": "998434"
}
}Indices
Index Bar Data
Retrieve historical OHLC (Open, High, Low, Close) bar data for market indices across various timeframes. Perform technical analysis on index movements.
Use Case: Plot 1-year daily candlestick chart for NASDAQ Composite index with volume.
GET
/
v1
/
indices
/
bar
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.indices.get_bar(identifier="SPX.IND_CBOM", end_time="12/22/2025 10:30 am", identifier_type=models.IndicesIdentifierType.SYMBOL, precision=models.BarPrecision.MINUTES, period=1)
assert res.index_bar_response is not None
# Handle response
print(res.index_bar_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.indices.getBar({
identifier: "SPX.IND_CBOM",
endTime: "12/22/2025 10:30 am",
precision: "Minutes",
period: 1,
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/indices/bar \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/indices/bar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/indices/bar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/indices/bar"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/indices/bar")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/indices/bar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bar": {
"close": 6866.33,
"endDate": "12/22/2025",
"endTime": "10:30 AM",
"high": 6866.74,
"low": 6865.69,
"open": 6866.15,
"startDate": "12/22/2025",
"startTime": "10:29 AM",
"utcOffset": -5,
"volume": 0
},
"index": {
"currency": "USD",
"indexGroup": "IND_CBOM",
"indexName": "S&P 500",
"symbol": "SPX",
"valoren": "998434"
}
}Authorizations
Query Parameters
How to interpret the value you sent in identifier. Defaults to Symbol. See IndicesIdentifierType for the full set of accepted values.
Which kind of identifier you are sending in identifier / identifiers. Provide the matching value:
Symbol— index ticker (e.g.SPX.IND_CBOM). Default.CIK— SEC Central Index Key.CUSIP— 9-character U.S./Canadian security identifier.ISIN— 12-character international identifier.Valoren— Swiss security identifier.SEDOL— 7-character UK identifier.FIGI— Bloomberg Financial Instrument Global Identifier.CompositeFIGI— country-level composite FIGI.
Available options:
Symbol, CIK, CUSIP, ISIN, Valoren, SEDOL, FIGI, CompositeFIGI Example:
"Symbol"
How long each bar covers. Pair with period to set the exact size (e.g. precision=Minutes, period=5 = 5-minute bars). Allowed values:
Minutes— minute bars (combine withperiodfor 1, 5, 15, 30-minute candles).Hours— hour bars (combine withperiodfor 1, 2, 4-hour candles). Unit of each bar. Combine withperiodto set the exact bar size.
Available options:
Minutes, Hours Example:
"Minutes"
Was this page helpful?